curl --request POST \
--url https://network.{region}.basaltic.sh/v1/interfaces/{interface_id}/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>"
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/interfaces/{interface_id}/addresses"
payload = { "address": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>'})
};
fetch('https://network.{region}.basaltic.sh/v1/interfaces/{interface_id}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family": "ipv4",
"address": "<string>",
"prefix": "<string>",
"primary": true,
"floating_ips": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "<string>",
"visibility": "public",
"address": "<string>"
}
]
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Crear dirección de interfaz
Cada familia de subred habilitada se asigna automáticamente. El límite actual de una dirección por familia rechaza direcciones adicionales con 409; IPv6 debe habilitarse primero en la subred.
network:UpdateInterface. Consulte permisos de redes para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
Cuerpo
ipv4, ipv6 Dirección fija opcional al crear una interfaz o una instancia NIC. Para IPv6, use la primera dirección de un /96 alineado dentro de la subred /64 (los últimos 32 bits cero); el primer y el último rango /96 están reservados. Omita para asignación automática. Los nodos de base de datos administrados y la operación de dirección de adición requieren asignación automática.
Respuesta
Suceso
Show child attributes
Show child attributes

